import { _decorator, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('<%UnderscoreCaseClassName%>')
export class <%UnderscoreCaseClassName%> extends NodeEx {

	protected onLoad() {
		
	}

	protected onDestroy() {
		//如果该组件有事件自行取消注释
		//Framework.event.removeEvent(this);
		super.onDestroy();
	}

	//节点被放入池中时调用
	unuse() {

	}

	//节点从池中取出时调用
	reuse(...val: any[]) {
		
	}
}